package visualiser.model;

/**
 * It is a coordinate representing a location
 * resizable race canvas
 */
public class GraphCoordinate {

    /**
     * X (horizontal) coordinate.
     */
    private final int x;

    /**
     * Y (vertical) coordinate.
     */
    private final int y;

    /**
     * Constructor method.
     *
     * @param x X coordinate.
     * @param y Y coordinate.
     */
    public GraphCoordinate(int x, int y) {
        this.x = x;
        this.y = y;
    }


    /**
     * Returns the X coordinate.
     *
     * @return x axis Coordinate.
     */
    public int getX() {
        return x;
    }

    /**
     * Returns the Y coordinate.
     *
     * @return y axis Coordinate.
     */
    public int getY() {
        return y;
    }

}
